/*
 *  WeaponArrow.h
 *  Knightmare
 *
 *  Created by Santi Ontañón on 11/6/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */


#ifndef WEAPON_ARROW_H_
#define WEAPON_ARROW_H_

#include "Weapon.h"
#include "KPlayer.h"
#include "GLTManager.h"

class WeaponArrow : public Weapon {
public:
	WeaponArrow(int x,int y,int sfx_volume,GLTManager *GLTM, KPlayer *owner);
	virtual ~WeaponArrow();
	
    virtual bool cycle(List<class VirtualController> *vcl, class Knightmare *game, class GLTManager *GLTM, SFXManager *SFXM);
	
    virtual bool is_a(Symbol *c);
    virtual bool is_a(char *c);
	
};

#endif /* WEAPON_ARROW_H_ */
